<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>Lab 4 notelist</title>
  </head>
  <body>
      <nav class="navbar navbar-light bg-light">
          <div class="container-fluid">
              <a class="navbar-brand" href="../lab-4">Lab 4</a>
              <a class="navbar-brand" href="../lab-4/add-note">Add Note</a>
              <a class="navbar-brand" href="../lab-4/note-list">Note List</a>
          </div>
      </nav>
      <div class="row row-cols-1 row-cols-md-3">
          {% if notes %}
            {% for note in notes %}
                <div class="col">
                    <div class="card border-primary mb-3 h-100" style="max-width: 18rem;">
                        <div class="card-body">
                            <h5 class="card-title">{{ note.title}}</h5>
                            <p class="card-text">{{ note.message }}</p>
                            <ul class="list-group">
                                <li class="list-group-item">To: {{ note.to }}</li>
                                <li class="list-group-item">From: {{ note.dari }}</li>
                            </ul>
                        </div>
                    </div>
                </div>
            {% endfor %}
          {% endif %}
      </div>
  </body>
</html>
